commit 7dd7e4d22d74227fb2d732f009fe39855dad6cc4
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun May 26 19:40:15 2013 +0200

    Basque fix

commit 5bca2bdea8640c51a8c5c8f510824a56e48630b9
Author: Christoph Miebach <christoph.miebach@web.de>
Date:   Sun May 26 19:23:27 2013 +0200

    l10n: translating C into eu

commit 12dd70776c520ba8f014c95a6b4180a6b4b43d98
Author: Aled Powell <aled@aledpowell.com>
Date:   Sun May 26 19:22:18 2013 +0200

    l10n: Welsh update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 61524b2ce893c9ec0fd338fcb5aaa90f42666b11
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun May 26 19:15:09 2013 +0200

    Update NEWS for l10n

commit 7287985151fed31d2bcdb49cebbbc57b626e2739
Author: Christoph Miebach <christoph.miebach@web.de>
Date:   Sun May 26 18:13:24 2013 +0200

    l10n: adding Azerbaijani, Kirgyz and Oriya to LINGUAS

commit 00d404c11818fb67b6fc727e97b14cf23119c835
Author: Julen Ruiz Aizpuru <julenx@gmail.com>
Date:   Sun May 26 18:08:50 2013 +0200

    l10n: Basque update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit ad2b71712fda0220e1907e2c4fd967926f20519e
Author: Dean Lee <xslidian@gmail.com>
Date:   Sun May 26 17:12:17 2013 +0200

    l10n: Simplified Chinese update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 5e3e700df957bf062bc474007f706eddc929ddb6
Author: Andriy Bandura <andriykopanytsia@gmail.com>
Date:   Sun May 26 17:07:14 2013 +0200

    l10n: Ukrainian update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 26cace0076436791606bde78270ac01a04150ff8
Author: Kaya Zeren <kayazeren@gmail.com>
Date:   Sun May 26 17:05:54 2013 +0200

    l10n: Turkish update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 1f438a498e0d1aae1c7d1c7ebd2fcf52b9e11d34
Author: Bruno Miguel Queiros <bqueiros@gmail.com>
Date:   Sun May 26 17:02:34 2013 +0200

    l10n: Portuguese update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 2b398e7d1b93d2db2cdac156011ad29701d6485f
Author: Prasannajit Acharya <holmessherlock21@gmail.com>
Date:   Sun May 26 16:58:40 2013 +0200

    l10n: Initial Oriya translation
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit ffb24ea6e746e50353d54313475d68f1ac9c6410
Author: Stian Jørgensrud <stianahj@gmail.com>
Date:   Sun May 26 16:57:00 2013 +0200

    l10n: Norwegian Bokmål update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 949b7fce83ccd756cf20976994fea260fbe2dad9
Author: Yhal Htet Aung <jumoun@gmail.com>
Date:   Sun May 26 16:55:57 2013 +0200

    l10n: Burmese update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 941010ad1cf1d2b7c80a23894ca030d0130a55ba
Author: Mindaugas Baranauskas <embar@super.lt>
Date:   Sun May 26 16:46:24 2013 +0200

    l10n: Lithuanian update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit ac4fa06511ddfb942c31e8a1fc35cad3a5fbda60
Author: Chynggyz Jumaliev <translatorky@lavabit.com>
Date:   Sun May 26 16:35:59 2013 +0200

    l10n: Initial Kirgyz translation
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit ba7d6bb70c0d21b190b5ec0c8376ca52d3c3636d
Author: Vincenzo Reale <smart2128@baslug.org>
Date:   Sun May 26 16:27:27 2013 +0200

    l10n: Italian update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 03dd22a835446f7640ccdca46cec3d11d752f909
Author: Chandan Kumar <chandankumar.093047@gmail.com>
Date:   Sun May 26 16:25:03 2013 +0200

    l10n: Hindi update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 5db9bb093ea412d3b65f0b937de8c5e852356467
Author: David González <pico.dev@gmail.com>
Date:   Sun May 26 16:20:25 2013 +0200

    l10n: Spanish update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 95f9c26f288a8d43997d550076fee7f3ab3dc372
Author: Mario Siegmann <mario_siegmann@web.de>
Date:   Sun May 26 16:17:43 2013 +0200

    l10n: German update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 17579b2bd01cce8753f2216b05d6915f6846d8e1
Author: Tomáš Chvátal <tomas.chvatal@gmail.com>
Date:   Sun May 26 16:14:44 2013 +0200

    l10n: Czech update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 1ce367859d2e7faf71c1cddc715f98f61a4ed052
Author: Emin Mastizada <emin@mastizada.tk>
Date:   Sun May 26 16:10:25 2013 +0200

    l10n: Initial Azerbaijani translation
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 64b44ef496b555376c9382c1421aa60ec62258d8
Author: Aputsiaĸ Niels Janussen <aj@isit.gl>
Date:   Sun May 26 14:27:38 2013 +0200

    l10n: Danish update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 53d8ad6e766f6daecbba4561d3d2b162d7430ef9
Author: Aled Powell <aled@aledpowell.com>
Date:   Sun May 26 14:25:18 2013 +0200

    l10n: Welsh update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit bd211ba9e468bfa5d4f5ae0e9a7fda611acf59fc
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Fri May 24 16:23:09 2013 +0200

    Add last OSX fix

commit 20b913411e74779f934cccf9f541f914430d6737
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Fri May 24 16:21:38 2013 +0200

    macosx: add work-around to prevent freshly created media files from being over-written (close #8685)
    
    The core may restart playback on termination and in turn over-write created files with garbage. The less hacky approach 7f52b2ae is 2.1-only and thus can't be backported. A proper solution is covered by #8353 and depends on future core modifications scheduled for 2.2

commit c60486f2e4ea273eb588d6b7a45f6beaa65f6835
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri May 24 12:28:37 2013 +0200

    Add NEWS about audio encoding fix

commit 1e88bae7322f0a78f80c38bff1ade198725a3e16
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Thu May 23 23:54:24 2013 +0300

    avcodec: store leftover-samples in interleaved format
    
    Doesn't break deinterleave and Fixes #8615 and #8570 for 2.0
    
    (cherry-picked by hand from af3f8759a874eeda1af2ccd50d61028809bd3161)

commit d139f1930acf25b032c19219fc0fb20fc81a40f9
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Tue May 21 21:47:31 2013 +0200

    vout_macosx: add error messages on failure
    (cherry picked from commit 696e5db02b5d7355a4576e2dd9176f9bf5961faa)
    
    Conflicts:
    	modules/video_output/macosx.m

commit c70a7e4763b93baaa3202fec186ed7b50af764c2
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon May 20 19:34:04 2013 +0200

    macosx/SPMediaKeyTap: update list of collaborating apps (close #8644)
    (cherry picked from commit 4eaf633347e554cb83121b06623dbcba1ea36c3f)
    
    Conflicts:
    	modules/gui/macosx/SPMediaKeyTap.m

commit a19cc901b320b6433b58f9a1788b18874ff4b067
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Sat May 11 20:02:55 2013 +0200

    macosx: fix size, position and style of dark detached window close/min/max buttons (close #8613)
    
    (backport of a071518a14d7700e88ff7e595bbb48a39d7f3d3e)

commit b90201c6c0b278e00ec734e2a054c0b39f36caa7
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Sat May 11 18:34:49 2013 +0200

    macosx: fix color tint change notification (fixes #8612)
    (cherry picked from commit 1ebd37d31bef640885b1d9fc8a769649ff2908e5)
    
    Signed-off-by: David Fuhrmann <david.fuhrmann@googlemail.com>

commit e3a41f91ae98c11e771824ef4de920bfb22c3059
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Sat May 11 18:19:40 2013 +0200

    macosx: fix display issue of pressed window buttons (fixes #8542)
    
    (backport of 6f8cfc401849763436031fc52d9cffe0f49cdc67)

commit f0728106114449327a0f7c4881774603effeb802
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sat May 4 17:20:54 2013 +0200

    Add items for a 2.0.7 release

commit 803e907be4c176a0fafe5f595c7eecc354d4fcc4
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat May 4 17:20:58 2013 +0300

    input: fix changing ES on big-endian (fixes #6163)
    
    int64_t != int
    (cherry picked from commit ecf6d12f439132e4ffde0b70387a2da31b8a9d42)

commit 0731d12c31b6a964e0c5445183263192f2064b15
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Apr 10 17:07:08 2013 +0200

    vout_macosx: fix prerequisite check in Control() (close #7937)
    (cherry picked from commit ba534e5c56e1d4d3d3bb37fe23b32615e36171ff)

commit 42eaf8ca95b60ffe2260033c780abbb6c5522862
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Sat Apr 27 10:49:19 2013 +0200

    macosx: activate playlist when playback finishes (close #6693)
    
    backport of (334e48a3e85e6127be03b2293b9c4233c73b1d4c)

commit 573bf233a459115e2464a17172de364614545654
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Apr 26 23:32:17 2013 +0300

    demux: fix path extension on non-local inputs (fixes #8115)
    
    (cherry picked from commit d9c8170226a76420644ff1819fb3e6c4ee792e6f)

commit d70eac525d4d789f099c0bf3c1a284601a61e653
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Apr 25 22:40:42 2013 +0300

    xcb: fix X11 key table ordering
    
    (cherry picked from commit 711e7b044cd0d49010117c543c8c60c30fca6b71)

commit 62e9da1477b7e6ceb6aaaa91022f5c850832d8dc
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Apr 25 18:04:07 2013 +0300

    stream_ReadLine: correctly return an error on overflow (fixes #7361)
    (cherry picked from commit 5e7e45dead26528d648a645b907df877100ecc31)
    
    Signed-off-by: Felix Paul Kühne <fkuehne@videolan.org>

commit 9defa225775870e73d6bd3ac65ddedf10460d0d8
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Apr 23 18:27:18 2013 +0200

    avcodec audio decoder: stricter PTS output
    
    Only trust demuxer PTS if it is higher than what we expected
    Fix demuxers that send several packets with identical PTS
    Close #8453
    
    Manual Cherry-Pick from a3898d68fd7a06d516a3feb3f11e2403dc741b81
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 48915cf06702c7037b428769b1a13bfff8f34d8d
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Apr 16 14:47:20 2013 +0200

    AVI: free p_sys resources on Close (WTF?)
    
    Close #8448
    (cherry picked from commit 005aff8b753064933ce6d2dd2862324e5056f165)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 373ec9ed90c79b09d1b9e74851daa2757ee2af48
Author: Rafaël Carré <funman@videolan.org>
Date:   Thu Apr 25 10:56:54 2013 +0200

    contrib: fix videolan URL
    (cherry picked from commit fb772d0f76d99f04179670ed4ef51a91113e8b0c)
    
    Signed-off-by: Felix Paul Kühne <fkuehne@videolan.org>

commit 27bbe4623600a8722b719750688ee760b1aa475a
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Apr 23 00:50:41 2013 +0200

    macosx: allow drag and drop of disks on the VLC icon in the Dock and in the Finder (close #8377)
    (cherry picked from commit f8374c73f502e9befee05539db08ca9147bf8724)

commit 07699ed80a6358fdcdbb85b023d0edd00a36c819
Author: Christoph Miebach <christoph.miebach@web.de>
Date:   Mon Apr 22 18:25:24 2013 +0200

    Updating translators

commit 485d987191fd2f1b6475dcc515327bd0ad1ca473
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Apr 11 13:41:20 2013 +0200

    On the road to 2.0.7

commit da489c12add0aa4a592e142e7afbaa373ef9d227
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Apr 9 18:51:39 2013 +0200

    contrib: sanitize default OSX environment settings

commit 2460084edfbc74273d3b9b9369018e66418ba5b4
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Mar 21 17:40:10 2013 +0100

    Minor NEWS fixes

commit 729aa7ae66cd56011fd1dd8909a92b9fdcf003be
Author: Benjamin Drung <bdrung@debian.org>
Date:   Mon Apr 8 23:10:47 2013 +0300

    Fix typo: priviledge -> privilege
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>
    (cherry picked from commit 2339bb72f92e884904b519098027cce453666bde)

commit 6f3b544ce923533bfcd0afbdc1a0cae716cd15a7
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Mon Apr 8 18:29:03 2013 +0200

    macosx: fix appearance default values for main window controls bar
    
    and syncronize with xcode 3 project
    close #8382
    
    (not cherry-picked from 4065770e62dfe240c597c4154079a21c6ce3f7fe)

commit d8b8b9c90113cb19d592bd2d6a7e94b4ea85f610
Author: Ludovic Fauvet <etix@videolan.org>
Date:   Mon Apr 8 14:10:50 2013 +0200

    lua http: fix two xss vulnerabilities
    (cherry picked from commit bf02b8dd211d5a52aa301a9a2ff4e73ed8195881)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 26787244c773bb35b9e490ade0b93777ea72792b
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Oct 1 16:18:35 2012 +0200

    update: constify
    (cherry picked from commit 32bfb8dc02f755d46761268f5674eb56671c81f5)
    
    Signed-off-by: Rafaël Carré <funman@videolan.org>

commit e912df7e83d9798524fbb8d6f0afd904a2da2ef0
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Oct 1 16:16:45 2012 +0200

    update: do not modify base64 input to add \0 terminators
    
    It is not needed anymore since ce6521381b , parsing will
    stop at first unrecognized character (like \r or \n)
    (cherry picked from commit 6841a105dad5bf416fe7e1b906bf4abdce21fbe9)
    
    Signed-off-by: Rafaël Carré <funman@videolan.org>

commit a38fc7e1f282665d72856d93070708979501d95c
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Apr 8 00:29:01 2013 +0200

    contrib: upnp: fix build
    (cherry picked from commit 3b1ecaf7ae893a53b1d8e4928824e10ca20ac2e9)
    
    Signed-off-by: Rafaël Carré <funman@videolan.org>

commit 426218b68501eff21b7542e20f81cd65cd19317a
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Feb 18 15:16:31 2013 +0100

    contrib: remove obsolete dvdread patch

commit be9623cd17649db2fa2691e29aa0a7f3b0472bcc
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Apr 7 22:24:55 2013 +0200

    Update PO translations

commit 999efcec61a00c83cdbc50d100d225caf7cb4c46
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Apr 7 20:42:19 2013 +0200

    NEWS for 2.0.6

commit 92ce294cdcc84aed36e636461d9e53c2be56747e
Author: Christoph Miebach <christoph.miebach@web.de>
Date:   Sun Apr 7 21:08:05 2013 +0200

    Updating AUTHORS via script

commit ca79e394d7109099c39a100bd8dd466d3c9faee0
Author: David González <pico.dev@gmail.com>
Date:   Sun Apr 7 21:02:33 2013 +0200

    l10n: Spanish update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 3d317245516f68f2f07d8f9d16428a6fd94bb09e
Author: Martin Srebotnjak <miles@filmsi.net>
Date:   Sun Apr 7 19:47:14 2013 +0200

    l10n: Slovenian update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit b60669b52ebbcfe9726cf3821ef145b6a5eb0be9
Author: Alexander Mackinnon Jansen <bornxlo@gmail.com>
Date:   Sun Apr 7 19:30:14 2013 +0200

    l10n: Norwegian Bokmål update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 2c04a5025faadaaeebb65cda07de8669e2fc986e
Author: Khoem Sokhem <khoemsokhem@khmeros.info>
Date:   Sun Apr 7 19:17:34 2013 +0200

    l10n: Khmer update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 0a5e81b47056817452fba20ae2daffe113c7e2fb
Author: Lorenzo Porta <adamantio17@outlook.com>
Date:   Sun Apr 7 19:13:28 2013 +0200

    l10n: Italian update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 4b178937a7bd6fafd3a2dc3498547582484b7a7a
Author: Sveinn í Felli <sveinki@nett.is>
Date:   Sun Apr 7 19:09:52 2013 +0200

    l10n: Icelandic update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit fc92ccbdeaef2a2ba4d75cb744e6ac7defc788a7
Author: Emilio Sepúlveda <emisepulvedam@gmail.com>
Date:   Sun Apr 7 19:04:58 2013 +0200

    l10n: Interlingua update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit fa4ea212878fd79bb5dea7e96c5fbcf9655764f1
Author: Tarsem Singh <tarsemsinghtarsemsingh@gmail.com>
Date:   Sun Apr 7 18:57:13 2013 +0200

    l10n: Hindi update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 9362edda7ace4e97d66b5390ccce2504793e679e
Author: Ivar Smolin <okul@linux.ee>
Date:   Sun Apr 7 18:43:15 2013 +0200

    l10n: Estonian update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 31665f6fe99fad467608b7b90b14b4e3858e4727
Author: Huw Waters <huwwaters@gmail.com>
Date:   Sun Apr 7 18:32:23 2013 +0200

    l10n: Welsh update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 3df73982790ffe513ead8c8e99ed2cdbacf10bf8
Author: Semsudin Abdic <abdic88@gmail.com>
Date:   Sun Apr 7 18:24:33 2013 +0200

    l10n: Bosnian update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit e27cd64846cf19547043091db36157a7bcab34d5
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Apr 7 20:32:49 2013 +0300

    po: do not translate ""
    
    For the umpteenth time, this does NOT work. "" is special in gettext.
    Furthermore, use of conditionals is not allowed within gettext macros.

commit f385064f6c3cf12406a56249be4b3cb0b00d5396
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Apr 7 20:27:59 2013 +0300

    ku: remove aliased language
    
    The build system does not support this hack.
    Feel free to rename kmr to ku instead.

commit 5246e638e3decfd91b0f31e7491b2ff198213dfe
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Sun Apr 7 20:12:24 2013 +0300

    avcodec: deinterleave correct amount of samples
    
    For me resampling still outputs wrong output (cracking samples), but I
    haven't yet narrowed down why.
    
    Should fix #8265

commit d10711fb104cdf960517e066e4b4e1497be00dc7
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Jan 1 20:18:09 2013 +0100

    Happy new year 2013
    
    (cherry picked from commit fccc6ab913cad66c50b98d1ac14d2fe1f41f7453)
    
    Conflicts:
    	configure.ac
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit aaf67ad9d4b8ac6ddd7b5b123fa373a4d8cca32e
Author: Andriy Bandura <andriykopanytsia@gmail.com>
Date:   Sun Apr 7 17:32:49 2013 +0200

    l10n: Ukrainian update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 91694147e4ac185daed04d81acf4a470e2283492
Author: Thanakrit Chomphuming <jernghan@gmail.com>
Date:   Sun Apr 7 17:20:14 2013 +0200

    l10n: Thai update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit d7c680393d99e08f0028db7effd0ea5202cb4160
Author: Đorđe Vasiljević <theranchcowboy@gmail.com>
Date:   Sun Apr 7 17:18:21 2013 +0200

    l10n: Serbian update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit e14891d11058d3c10ff31b2101ba20ee697eb4e6
Author: Thomas De Rocker <thomasderocker@hotmail.com>
Date:   Sun Apr 7 17:12:24 2013 +0200

    l10n: Dutch update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 9e83b0df9b3829a73427d6d94f38ead924f08096
Author: Aputsiaĸ Niels Janussen <aj@isit.gl>
Date:   Sun Apr 7 16:59:27 2013 +0200

    l10n: Danish update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit b3ae90224b57d839b4512536d262bd59ce47c284
Author: Tomáš Chvátal <tomas.chvatal@gmail.com>
Date:   Sun Apr 7 16:52:31 2013 +0200

    l10n: Czech update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit c5875857ad17d3a6b7bf5cd75dffe161722689fa
Author: Chesús Daniel Trigo <xuxinho7@gmail.com>
Date:   Sun Apr 7 16:36:54 2013 +0200

    l10n: Aragonese update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit f3dde8da28820617183cd514afd15dce231e0c3f
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Apr 7 16:35:14 2013 +0200

    Subsdec: fix small parsing issue
    
    Close #8392
    (cherry picked from commit 66ffb52c7a485e3594867351a7efa9199129793d)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 358615415872d760a2b457dbe8074ebcbbfdfbfd
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Apr 7 00:02:41 2013 +0300

    avformat: validate encoding of meta informations (fixes #8390)
    
    (cherry picked from commit 17c4881762c30e3c966069318428ef292b8566f0)

commit 50243ce39b8c0f925806c488751e23110d3da9c8
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Apr 7 00:01:34 2013 +0300

    avformat: refactor meta getter, fix title & language
    
    (cherry picked from commit f77e83aba1b92c1fb6dccabcdb14c1d4774af6af)

commit db9b5f825bdaab3694fdc3b9d7c8cf211fb0cb3d
Author: Alexis Ballier <aballier@gentoo.org>
Date:   Fri Apr 5 18:09:52 2013 +0300

    check_headers: fix regular expression
    
    This broke depending on the locale (LC_COLLATE).
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>
    (cherry picked from commit 0eb725b018f441881706517c19fb8fa33ef7ccbe)

commit 04c92ff562b7ab97749e5c38557cbcdb71a069fb
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Mar 14 15:43:20 2013 +0100

    Contribs: fix vpx threading on Win32
    (cherry picked from commit c51906de3a23ad6580c2c1373ef71d9c05f92993)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit d81c4cfc3f51be4d05174df36bb92e8881e93173
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Mar 21 14:29:48 2012 +0100

    contrib/libvpx: added support for iOS
    (cherry picked from commit 54902d858c4150a460196f97ca83d420368e3023)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 339a8c1949681673e3674a5a034941be4cdb97bd
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Mar 10 12:05:26 2013 +0100

    Contribs: update gettext to 0.18.2.1
    (cherry picked from commit 934352c0bceda5a10c501aa6d0c278eb211a3995)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 31ae004cfa37828b2ca85c4621c2f4686fa9201c
Author: Rafaël Carré <funman@videolan.org>
Date:   Fri Jan 27 10:59:11 2012 -0500

    contrib: gettext: fix misassumption about alloca
    (cherry picked from commit 9e775fc6d67236e4dfef2f5928d2b5099e1f9466)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 4fd211c2e6ecd6d8d714330787a1d61688687b3e
Author: Rafaël Carré <funman@videolan.org>
Date:   Fri Jan 27 06:57:02 2012 -0500

    contrib: use $(MAKE)
    (cherry picked from commit 8f1c7e1272b6840df3236449b7b0d495c7733139)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit e85f60e294f13825093d2bc4540e10d490940b1d
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Jan 7 23:22:05 2013 +0100

    contrib: gettext: fix build on OSX 10.7+
    (cherry picked from commit 270278b3ac8f268ba49751b1788e743539ee46f4)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 2181b87d1fe7c3857e42ce22f554edd2a2cd9d32
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Mar 10 12:19:58 2013 +0100

    Contribs: update iconv to 1.14
    (cherry picked from commit cc54b81df2aebbcfa6b4381877c02f3534bf573a)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 317ec1f4495d804299ff2636486bdca00a233fb9
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Mar 10 12:41:53 2013 +0100

    Contribs: update fontconfig to 2.10.2
    (cherry picked from commit f9ac72c893dce40875b65bbaa15a6b5765636ae4)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit f61bccb84fa80d49a00a7bfb890580c63e5e2d4b
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Mar 13 01:43:40 2013 +0100

    VPX: try to fix mountain lion patch
    (cherry picked from commit 63d6a1851e1105d277874745e0d5bf9893f6619b)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit d32b9ab64bec58e987e2d90f38968e64ec7f2ce7
Author: Rafaël Carré <funman@videolan.org>
Date:   Wed Mar 13 01:02:41 2013 +0100

    contrib: vpx: missing header
    (cherry picked from commit e3d6ee99c60ef86979b8edd07149cfe9d9e1a6e3)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 6270eff24d3b2df116404db458b0f913af05488c
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Mar 10 16:53:57 2013 +0100

    Contribs: update libvpx to 1.1.0
    (cherry picked from commit 2aa9d5fb98ca3270e88cdbb7a43e6c6edd3487ec)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 8236e2f3d20d8df78aea37aec3da5757376efc8c
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Mar 14 17:15:39 2013 +0100

    Contribs: build shout without threads on Windows
    (cherry picked from commit 18fea8c1cba5e471cc48885adbb24ed5a36c8d83)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit e37f2912ac7cb0778aa7789285a5f3627bd76acf
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Mar 18 17:52:37 2013 +0100

    libgcrypt 1.5.1 was released
    (cherry picked from commit e0746e3adff7a3af52e06fc86f118b41f91a5b3e)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 8dc89218fc5314cc549956d6e4339f79c5c2bf9b
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Apr 3 20:42:46 2013 +0200

    Revert "Revert "Correctly detect alac in mp4 properties""
    
    This reverts commit 6265048ae8665189ea88262cd3aedd2d03abce35.

commit 6355a18ac4032365b8a9c71c0ce5f8360e4da397
Author: Rafaël Carré <funman@videolan.org>
Date:   Fri Jan 11 00:45:28 2013 +0100

    avcodec audio: factorize error case
    (cherry picked from commit c99738f05e07ef0e25c3bdc353c66544b28f54ba)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit e34f42f7b9613c4df7d3aa76b9c46253dc03868e
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Apr 1 21:23:44 2013 +0200

    avcodec audio decoder: remove SplitBuffer()
    
    Manual backport of 160e651e28805cfe4d1f2d4295a58e5c4e1b7370
    
    Close #8260

commit a481fd6989dc166aaf8cf7023ff7b2890f72cffa
Author: Rafaël Carré <funman@videolan.org>
Date:   Sat Mar 2 16:27:38 2013 +0100

    avcodec audio decoder: bump arbitrary decoded frame size limit
    
    The limit can be reached with some WMA samples:
    [wmav2 @ 0x7f9c50c1e960] output buffer size is too small for the current frame (192000 < 196608)
    
    (cherry picked from commit 2ff3b97ba534977e08c119204a977c44a20b00d7)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit c6403f560ef707b84d6abebb76d758249b37cafe
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Mar 21 21:06:07 2013 +0200

    contrib: bootstrap: exit on error
    
    (cherry picked from commit 600fae99e5d3e0ded342fc9da4aca1c8f65867ca)

commit f1082d90f44caa568c48a91001c5e1b35bd8d10c
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Mar 21 17:02:02 2013 +0100

    macosx: make sure the fspanel's volume slider knob is entirely displayed and not cut off
    (cherry picked from commit 1b6c9901d92a5b000acfa76f30dda85d7c37cd91)

commit a9e8fbf9037d4d706904f8839510a34b95317dab
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Mar 21 16:59:36 2013 +0100

    macosx: resize the retina bitmaps for the progressions knobs so AppKit doesn't do stupid things
    
    This prevents the knob to be blurred in the bright interface style because the retina bitmap wasn't twice as large as the regular one
    (cherry picked from commit 748e7339cd025dbf0d297a16cb9ea2a029e7db61)

commit 46100975d179a49147ac1ad2c383b0493a4cc3e9
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Aug 9 16:02:34 2012 +0200

    Man: Update title dvd syntax
    
    Close #7133
    (cherry picked from commit 23a04c6aaf6d4d8f63c3afc5b782c5723fb60a5d)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit aed9dd4304e4aba9b9485a0ff6d383c8d135b2d9
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Mar 19 14:14:27 2013 +0100

    macosx: fixed traffic light drawing in dark UI mode
    
    Manual backport of 71c22fb3

commit aa87265db396038f58ecd6047c7d8d8662a318e4
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Mar 19 13:00:02 2013 +0100

    libavcodec threading is now fixed
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit a93560048de2e185a0a7123152bdb4a7039512c4
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Mar 19 12:59:54 2013 +0100

    Contribs: update sha1 for libav/FFmpeg
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 51f1f677661d72dabf0527697fbe0063b47266e2
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Mar 19 12:59:49 2013 +0100

    Contribs: Fix FLAC.pc for Windows
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 3d61812b5673a36847170d0890c4df87cc07247e
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Mar 18 23:24:16 2013 +0100

    macosx: fix fspanel pause button button alignment
    (cherry picked from commit 3d64617d9347481beb9274b660694727c618c912)
    
    Conflicts:
    	modules/gui/macosx/fspanel.m

commit d42aab0e6293ad80b2ec4c3dcc526f6620db8fc9
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Mar 18 23:19:43 2013 +0100

    macosx/Resources: flip fs volume slider knob so it appears correctly on screen
    
    while a bit ugly, this is more efficient than doing so over and over again at runtime
    (cherry picked from commit 3151a06590aa242828c3cd60718a4e5cfe473c7a)

commit f71f4a1a4706aa5b8327563b46e71b31d77bebed
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Mar 18 22:42:02 2013 +0100

    macosx: fix fullscreen volume slider knob alignment
    (cherry picked from commit bd994203590f11a8cad6c992171036553c450593)

commit 07f809f307688204689932b520ece3f5b0b001dc
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Mar 18 22:40:27 2013 +0100

    macosx: fix time slider knob alignment in bright mode
    (cherry picked from commit 4caa39f04d760998a057a2d6affbbdad6c6f3c4a)

commit 9b0414dc7f5c18ff2951175cf076779c444efd70
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Oct 13 20:25:16 2012 +0300

    dbus: simplify input event handling and reduce lock scope
    (cherry picked from commit a508c29e2dbb82d88013dd99cdd5539d5a3f1ff7)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 36108d2636cb237865bb43313b384b4f62750776
Author: Mirsal Ennaime <mirsal@videolan.org>
Date:   Sun Mar 10 03:54:55 2013 +0100

    dbus: Fix handling of input events and remove memleaks
    
    Correctly handle the INPUT_EVENT_ITEM_META and INPUT_EVENT_ITEM_META
    instead of skipping the whole event processing code without even freeing
    the callback_info_t data structure.
    
    Closes: #8285
    (cherry picked from commit 01b2d9f038211e91fd2348858d58931f0a48faa1)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 69fa5d8413491bac56f05f99f6a1081ce78c39a5
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Mar 10 12:23:59 2013 +0100

    Contribs: Update UPNP to 1.6.18
    (cherry picked from commit 8dcc49ee36fc4766938afe734666e712858e2547)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 8620f1cad5a8799708e62dcdc8ca175f3520ae60
Author: Konstantin Pavlov <thresh@videolan.org>
Date:   Tue May 29 10:40:33 2012 +0400

    Contribs: fix libupnp build under mingw32 with ipv6 enabled.
    (cherry picked from commit 330cedc777be8668a907493a9fdf9b1b78600f82)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 170fe2588693c743882c74e07b3917578d294a18
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Apr 30 23:51:42 2012 +0200

    Contribs: update upnp
    (cherry picked from commit 1f3009e7c609c7446e4cec09b5121fa7ca7122a4)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 4a7cfb6b7e2cd4ac668b921b9b71811d77f9e241
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Mar 10 11:55:44 2013 +0100

    Contribs: update libdvdcss to 1.2.13
    (cherry picked from commit 70d201b46bddff3e9fad96f2f7ff128239a4e093)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit ad65643092735250c5ebf20186b2eabf2fa7105f
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Mar 10 11:51:53 2013 +0100

    Contribs: Update GNUTls version to 2.12.23
    
    Hopefully the last 2.12 version?
    (cherry picked from commit e68d07da9a54a5885781b91f2a89a28bf40a389e)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 1d69cd9c9a21182df76a354227e8e1efedaa4b00
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Mar 10 11:47:35 2013 +0100

    Update gpg-error to 1.11
    (cherry picked from commit d05cdbbef8e12d3133c9eb1f76ed0404022bfb51)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 279e735d0bced2a8e758752f68ba8cb5a3dc1b5a
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Mar 10 11:41:09 2013 +0100

    Fribidi: update to 0.19.5
    (cherry picked from commit e5db0bb227d7eda722ed1839afa00507aedc4d37)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 8cacb71566f6e066581ad7db86616b37bd39810a
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Mar 10 11:39:15 2013 +0100

    Contribs: update libjpeg to v9
    (cherry picked from commit e2a0605a9bbc36f1eb2820a2b6dfa763a337d05f)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 3f75741e32d5135ef29f330fc7ada4c8d9be6c5e
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Mar 10 11:38:52 2013 +0100

    Contribs: update libpng to 1.5.14
    (cherry picked from commit aad495b365fdbec856537bd06650a85283c7b4da)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit b822ec7728e5eed84f12df9734af92521c82cf52
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Sat Dec 29 09:37:34 2012 +0200

    avcodec: set encoding sample format correctly and don't assume S16N
    (cherry picked from commit d00fe8ac34d626a5e24d1c8b2e564b5364c62136)
    
    ref #8265 and possibly ref #8183
    
    Signed-off-by: Ilkka Ollakka <ileoo@videolan.org>

commit 22b3452a76875312dfb6bbbc4e1b3fc1e0ca33e6
Author: Rafaël Carré <funman@videolan.org>
Date:   Sat Mar 2 09:07:32 2013 +0100

    Simplify c14c1b13
    
    sched.h is already pulled by pthread.h

commit 6a08107331fdaed5cf9008739ed4c5db8564d147
Author: Florian Roeske <florian.roeske@alliedtelesis.co.nz>
Date:   Wed Aug 8 16:43:31 2012 +1200

    Fix ipv6 multicast socket option
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit f19700eac766624f1c5c72e3668ea186a1edef8f)
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit 4b19131c0de7025f94e08c2d99ed42f5d1541712
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Feb 28 09:22:18 2013 +0100

    NEWS for 2.0.6

commit 635b7943424a237d3c36e1555a17b6b9ed803a27
Author: Stephen Parry <sgparry@mainscreen.com>
Date:   Thu Feb 28 00:17:22 2013 +0000

    Fix for vimeo parser to handle multi-line data block
    
    Added code to vimeo.lua parser to handle data block consisting of
    multiple lines. Code now concatenates those lines together.
    Note when testing: vimeo doesn't like VLC; you must use :http-user-agent
    flag to impersonate browser.
    
    Close #7148
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 3853f776a3fdcc52fb4aa804b4b2cf9350516861)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 1e604e1f26edad8cea2ecab42913a982409d81c9
Author: Timothy B. Terriberry <tterribe@xiph.org>
Date:   Tue Feb 26 18:36:02 2013 -0800

    ogg: Fix borken stream resets.
    
    Commit 78a8771f attempted to reset the ogg_stream_state in
    find_last_frame(), but it tries to do so using a non-existent page
    and then leaks memory (due to using ogg_stream_init() instead of
    ogg_stream_reset()). Its caller, Ogg_GetLastPacket(), then tries
    to restore the contents of the current packet, but its call to
    ogg_stream_pageseek() will immediately fail, leaving the dangling
    packet pointers untouched.
    
    Instead, just back up the whole stream state and restore it on
    exit. This fixes both problems.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit d6aeeebe0c7ec9f4defe1751454bc3c1943d84e1)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit c14c1b137c0b9d191993ecbc46d307022399ad78
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Feb 27 22:16:56 2013 +0200

    aout: give volume/mute change a chance after DecPlay (refs #8240)
    
    This is a quick uninvasive work-around for #8240.
    A more involved fix is in f788153763bf56fda744df5b9abaa893c402378e.

commit 050649cb999e7778e2da395f1bdc8f753ae78155
Author: Rafaël Carré <funman@videolan.org>
Date:   Wed Feb 27 16:15:55 2013 +0100

    pt_PT.po: fix translation
    
    pt_PT.po:1016: `msgid' and `msgstr' entries do not both end with '\n'

commit 321ec79d9436905431e651f7a7fa230d436a93b7
Author: Rafaël Carré <funman@videolan.org>
Date:   Wed Feb 27 12:41:08 2013 +0100

    french translation: remove unsanctioned obituary

commit 3956c5390764799a7c0b32baa34ac9b7d04847f1
Author: Éric Lassauge <lassauge@users.sourceforge.net>
Date:   Wed Feb 27 00:38:20 2013 +0100

    l10n: French update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit a029ed2ca97f5906995b24ae5936f426f4e6f54c
Author: Cristian Secară <cristi@secarica.ro>
Date:   Wed Feb 27 00:19:23 2013 +0100

    l10n: Romanian update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 03c7c88f6ee32dd26d47e24df48bf0d7545b4c99
Author: Thanakrit Chomphuming <jernghan@gmail.com>
Date:   Tue Feb 26 23:44:23 2013 +0100

    l10n: Thai update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit beaff274956ef4399adf329dba9dfba4dc6e8f2f
Author: Ђорђе Васиљевић <theranchcowboy@gmail.com>
Date:   Tue Feb 26 23:41:40 2013 +0100

    l10n: Serbian update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit ca4bc8072ff84150414e48145ab0cae27475f159
Author: Alexander Lakhin <exclusion@gmail.com>
Date:   Tue Feb 26 23:33:22 2013 +0100

    l10n: Russian update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 9700a7c76d626fbd958aa5106f7b2a5ec3e37f21
Author: Bruno Miguel Queiros <bqueiros@gmail.com>
Date:   Tue Feb 26 23:28:41 2013 +0100

    l10n: Portuguese (Portugal) update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 5d2ab7142feb4211b251af7a2bbb7f08fc1dbede
Author: Shambhu Kumar <shambhuray.sam@gmail.com>
Date:   Tue Feb 26 23:06:31 2013 +0100

    l10n: Hindi update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 041586d42ea59e3784f8329a7a348120354cfc14
Author: Ivar Smolin <okul@linux.ee>
Date:   Tue Feb 26 22:56:55 2013 +0100

    l10n: Estonian update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 6317929331750719da2008f1e77dcb1a71a1d551
Author: Mario Siegmann <mario_siegmann@web.de>
Date:   Tue Feb 26 22:48:49 2013 +0100

    l10n: German update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 7744d6859595d39ec47b5356c8a7cf0fcb1d0ff9
Author: Adnan Memija <sream_92@live.com>
Date:   Tue Feb 26 22:39:26 2013 +0100

    l10n: Bosnian update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 37182a2adc7a6f9bfd9626cd9580a382b8ff6ac9
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Feb 26 23:09:24 2013 +0100

    Info.plist: add support for dvdmedia packages, which are essentially Video_TS dumps for Apple's DVD Player.app
    (cherry picked from commit 6a4cd277610ed2e2186a582ad8a6522db1da3f0f)

commit 72d830b5754ec4f7563c4759c6a908980fac5c23
Author: Frode Tennebø <frode@tennebo.com>
Date:   Sat Apr 7 14:53:21 2012 +0200

    Fix problem with black and/or random colours for paletted codecs, like MSRLE.
    
    Shoulc close #5952
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 7f99f183c055dbb657a896adb568687b6264df44)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit e0b24bc5d5d1a1c5819c37e38f655e64720a6940
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Feb 19 23:43:03 2013 +0200

    lib: fix signedness of SPU track ID in libvlc_video_set_spu()
    
    Luckily, signed and unsigned int are compatible types.
    (cherry picked from commit 5987f34d99b14b127e51d5bc68fc97e0bf71e7b3)

commit f1016ea1f702f0cbcb75470fcf8282351b6a6816
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Feb 19 23:37:20 2013 +0200

    lib: rectify SPU track IDs (refs #7645)
    
    (cherry picked from commit e712c11f55e881fd91774921e69a2736d8fdad0b)

commit 4e41845cf8c6ec71a851e3aa9cd3208714f77aa1
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Tue Feb 19 19:24:18 2013 +0100

    update NEWS

commit cdd7a21b28ce35618ff74f8de773362f2f06e3ac
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Mon Feb 18 22:58:49 2013 +0100

    macosx: fix bug which hides fspanel when video on top is enabled
    
    close #8110

commit e553d8c4b35279195dd804c4409353eeb4b20fe5
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sat Feb 16 20:27:31 2013 +0100

    auhal: use kAudioObjectPropertyName instead of kAudioDevicePropertyDeviceName to retrieve the (potentially localized) device name
    
    This is the endorsed API and behaves correctly with regard to string lengths
    (cherry picked from commit 14250ccc4fab3f18b0270465e2d3a4fe78c0ebfb)
    (cherry picked from commit dd4d8155806afb07d6095924030b8c78e85fca61)
    
    Conflicts:
    	configure.ac
    	modules/audio_output/auhal.c
    
    Signed-off-by: David Fuhrmann <david.fuhrmann@googlemail.com>

commit 5c205a304c34dcfa911d1294a3ca8b9e1520c4c6
Author: John Peterson <john.peterson3@hotmail.com>
Date:   Sun Sep 16 11:48:15 2012 +0200

    Fixing contrib 'make prebuilt' and 'make package' to use the repo version of change_prefix.sh instead of a version inside the contrib package.
    
    The script shouldn't be included in the contrib package because the intention has not been to have different versions of the file depending on platform. If necessary the script can take into account differences between platforms instead of coming in different versions.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit e1bb86cdb67c974c526542f3b57c8de51be450f6)
    
    Signed-off-by: Rafaël Carré <funman@videolan.org>

commit 76c37c46f9a01e03dbefe7b6360cc6293d990e73
Author: Denis Charmet <typx@dinauz.org>
Date:   Mon Feb 11 23:18:42 2013 +0100

    Free unused resources when using linked mkvs
    (cherry picked from commit 0fafbb87581a526dcdd7183cd49a472ada2bb8d7)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit c9cb8bcefb70526815042ec26055ea8c860cfa18
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Feb 10 19:08:44 2013 +0100

    Revert "configure: reject lavc >= 54.22 because of planar audio"
    
    This reverts commit 8b49a93d6405db17c3a451ff4f19570191bc61cc.

commit 9a9cfe849bed7574dc32b914f75714a20f23706a
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Feb 11 14:53:57 2013 +0100

    avcodec encoder: handle planar formats
    
    Fix #8124

commit ae764f120f7955ee0d1de82c384f0c6435755b35
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Feb 10 19:25:29 2013 +0100

    avcodec audio encoder: add helper for deinterleaving

commit de3983085f42ecf115cfc1308a52793ec17c24b0
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Fri Dec 28 12:54:39 2012 +0200

    avcodec: handle planar samples from libavcodec
    (cherry picked from commit 45032ec3b271641aaa3d9613e7c579fabc3d475a)
    
    Conflicts:
    	modules/codec/avcodec/audio.c

commit c32ab8847890f28cd1f6dfb5d961e349432f3523
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Feb 10 19:24:57 2013 +0100

    avcodec audio decoder: add helper for interleaving

commit c889482e043f8db06338fb9016d429b992ed617e
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Feb 11 15:16:15 2013 +0100

    avcodec: replacement for av_sample_fmt_is_planar

commit 24b5638a6e2b0622ca362506462a7595448b823a
Author: Dominko Aždajić <domazd@mail.ru>
Date:   Tue Feb 12 00:08:43 2013 +0100

    l10n: Croatian update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 6e767ab2dca3fb40ef640c756dfeb83423ff1f80
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Feb 5 19:59:38 2013 +0100

    Contribs: update dvdread to a new fork
    (cherry picked from commit 8cbd52ac8a500a96378a35f74be12c6d73b50d18)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 146cbed97b0f8b88591a356e83b64c6595b59887
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Feb 10 17:23:08 2013 +0200

    libvlccore: bump SO revision
    
    Last bump was in 2.0.2, possibly omitted since then.
    (changed by commit 6be4754f2f13d4b56a21634d481cdd2c73d0a974)

commit 696cb6791ca32e942aa8e9a540af1fdf5e26e805
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Feb 10 17:20:36 2013 +0200

    libvlc: bump SO revision
    
    (changed by commit 2c27b625fb986779462a4bc5e2dd1378c82fe62d)

commit eec15a42d93f4d2563fc35f25f68fec85c244924
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Feb 10 15:15:16 2013 +0100

    switcher: add required header

commit 95810db8c8ae717ee8ff98b1f3bdcbddf38a6f86
Author: Rafaël Carré <funman@videolan.org>
Date:   Sat Feb 9 23:54:55 2013 +0100

    dvdnav/dvdread: run autoreconf
    
    autogen.sh does not exist anymore
    (cherry picked from commit b3e62f036664bf4edc1d1edafd3b9df012c92ffa)
    
    Signed-off-by: Rafaël Carré <funman@videolan.org>

commit 2882b9ff2164f4298520c8c15b4809788a938e9b
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Mar 18 19:53:39 2012 +0200

    PulseAudio: update existing item rather than delete and replace
    
    This avoids the infamous VLC playlist bug whereby the playlist stops if
    the current item is deleted. It turns out PulseAudio tends to "update"
    a source right after VLC opens it, and then VLC stopped playing almost
    as soon as it started.
    (cherry picked from commit 5678c1900b38babcbdf453fcbf3ee4f9a863e594)

commit 8562754af4a058fa5ae39fd1b9bcaf099c15c28f
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Feb 9 11:18:15 2013 +0100

    Update NEWS for 2.0.6

commit 46e99f8a0d7b22d4fa8781e8465fdcb664dc9d79
Author: Ludovic Fauvet <etix@videolan.org>
Date:   Thu Feb 7 17:21:06 2013 +0100

    gnutls: retry handshake if it returns a non-fatal error
    
    Based on the gnutls_handshake manual the function must be called again
    until it returns 0 (or a fatal error).
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit ca82afbfb7ee9a083d13c7861408e5759f2509cd)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 3f9f3c276da87001aecdf4712fca27f889ddf954
Author: Sébastien Escudier <sebastien-devel@celeos.eu>
Date:   Thu Feb 7 12:12:16 2013 +0100

    fix regression from 7f12d4609
    Closes #8076
    (cherry picked from commit 2c1b60aec7e7fbeb4d0f0007c1933ad1572af490)
    
    Signed-off-by: Sébastien Escudier <sebastien-devel@celeos.eu>

commit 6be4754f2f13d4b56a21634d481cdd2c73d0a974
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Dec 17 01:00:29 2012 +0100

    Remove variable name clashes in TAB_REMOVE
    
    If foo[i] or bar[i_index] are used in TAB_REMOVE / TAB_FIND, they will
    use another variable with local scope declared inside the macro.
    
    for (int i = 0; i < 1; i++) {
        TAB_REMOVE( count, array, foo[i] );
    }
    
    will expand to:
    
    for (int i = 0; i < 1; i++) {
        int i_index;
        .....
        for (int i = 0; i < count; i++)
            if (array[i] == foo[i])
            {
                index = i;
                break;
            }
        .....
    }
    
    And inner scope i is used to index foo, instead of the outer scope i
    which we would expect without knowing the content of the macro.
    (cherry picked from commit 728ef39d15cdbfc5b1bc9beba8a97493ef6c08fc)
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit 8fc533a9a3a28c234251b7b1b8783d385e5dafba
Author: Christoph Miebach <christoph.miebach@web.de>
Date:   Tue Feb 5 23:53:53 2013 +0100

    Updating AUTHORS from git log

commit 9a6049c5d17ee666c167932a50e00d047478baf7
Author: Christoph Miebach <christoph.miebach@web.de>
Date:   Tue Feb 5 23:46:10 2013 +0100

    Adding an (Aragonese) to LINGUAS

commit 61a4994d5a555219616934c1db069345cd3c4937
Author: Sidney Doria <ssdoria@gmail.com>
Date:   Tue Feb 5 23:07:34 2013 +0100

    l10n: Brazilian Portuguese update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 6ed800264d819fd6a2280d54625c90518984400b
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Feb 5 19:24:02 2013 +0100

    Contrib: use a new DVDnav fork
    
    Should close #8125
    (cherry picked from commit 9daa9e5d25ebebc35a8b6be32c3b357e9f1985f9)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 5fae84ad72419744cfc2d5b9be5c27c9817f5570
Author: Denis Charmet <typx@dinauz.org>
Date:   Fri Feb 1 01:39:29 2013 +0100

    Remove the filesize verification when using FindNextElement
    
    The dummy support patch also fix #5287.
    (cherry picked from commit f000f5d9a46db78bf8e58459b65130e2a59568a1)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 426ca8cf2c4fb6961c8f3bf1aa2af06c7fe3baf8
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Feb 5 01:05:57 2013 +0100

    update NEWS

commit 385689d1a2c326c74f0c043ee91c0f3aa23c7e76
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Feb 5 01:00:46 2013 +0100

    macosx: work-around for Mountain Lion which treats folder with the name 'BDMV' and the sub item 'INDEX.BDM' as a file with the UTI 'public.directory'
    (cherry picked from commit 79c8560a5e36d6f872a740aeeb6a62c8069c3eae)
    
    Conflicts:
    	modules/gui/macosx/open.m

commit 2c27b625fb986779462a4bc5e2dd1378c82fe62d
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Feb 4 18:38:04 2013 +0200

    libvlc_audio_set_track: return -1 on error
    
    Surprisingly, my gcc did not generate a possible unitilization warning.
    (cherry picked from commit ce96ee78f58c6d24eb66d5544b571cc3d0aa4343)

commit 22309432f6366df91ad3e51d440833a0429cfc50
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Jan 30 18:40:58 2013 +0200

    lua: document removals and changes in VLC 2.1

commit dadc8c81f9a7caec87b17e6d59e770e10c8b4ebe
Author: Mirsal Ennaime <mirsal@videolan.org>
Date:   Tue Jan 29 14:40:23 2013 +0100

    dbus: Fix code style and add missing decref on error path
    
     * Add missing call to vlc_object_release() in MarshalMetadata
     * Separate code paths with empty lines
     * Fix bracket position in if blocks
    (cherry picked from commit 3ed48e03b85431f8024389f1b352854f0714ec3c)
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit 1440269524f517d0a41541ba1d9cafb4b1ea480a
Author: Alex Merry <dev@randomguy3.me.uk>
Date:   Tue Jan 29 00:55:18 2013 +0000

    Fix Metadata marshalling when sending the PropertiesChanged signal
    
    VLC was getting kicked from the D-Bus when a track was stopped, because
    it was generating invalid data on the wire when sending the
    PropertiesChanged signal for the Metadata property.
    
    The issue was that if there was now no current track, GetInputMeta would
    never be called and the the variant would never be populated with the
    "a{sv}" structure that the call to dbus_message_iter_open_container
    claimed it would be.
    
    We now share the code that GetProperties used, which dealt with this
    correctly, although now both use CurrentInput (which is what the signal
    previously used) instead of CurrentPlayingItem (which is what
    GetProperties previously used).
    
    Signed-off-by: Mirsal Ennaime <mirsal@videolan.org>
    (cherry picked from commit 5460e18e20719255d4ed1461594fe72530a19f85)
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit 34cc9763462330cf32832a7bc7ea02e4a2a5386b
Author: Alex Merry <dev@randomguy3.me.uk>
Date:   Mon Jan 28 11:54:16 2013 +0000

    Fix Rate property on org.mpris.MediaPlayer2.Player
    
    Rate should never be 0.0 (according to the spec), so we pick a sensible
    default when we do not have a current track: 1.0.
    
    Also, when the current item changes, the Rate may also change.  So add
    it to the PropertiesChanged signal just to be sure.
    
    Signed-off-by: Mirsal Ennaime <mirsal@videolan.org>
    (cherry picked from commit 8f754d8715c72abc4ba1b0f26ae136c1db41437b)
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit e829271938afc1a071a275fbd11aa29f95d04dcb
Author: Alex Merry <dev@randomguy3.me.uk>
Date:   Mon Jan 28 11:54:15 2013 +0000

    Fix MPRIS2 metadata entry types
    
    Several of these entries, such as xesam:artist, should be lists of
    strings, not strings.
    
    Signed-off-by: Mirsal Ennaime <mirsal@videolan.org>
    (cherry picked from commit ad8039e3e3b910730e71921b9f8952107644695a)
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit 2c15f6cf8b8f2677c662720e3d8ed112dd0c593c
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Jan 28 20:49:28 2013 +0200

    PulseAudio: bug^Whint user about latency bug

commit 40330fdde17bb2ed868a59db7f4aca032c9e5953
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Jan 28 02:16:56 2013 +0100

    kmr.po: use iso 639-2 language code as gettext 0.18.1 suggests

commit c73521c23c057242d8af1449e808bd1ffd65f510
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Jan 28 02:13:04 2013 +0100

    Fix pt_PT translation

commit 0ae0b8cd569ae941703c7b345f183cb8c8ba562e
Author: Frank Chao <frank0624@gmail.com>
Date:   Sun Jan 27 21:13:56 2013 +0100

    l10n: Traditional Chinese update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 435fb69e042a7026e1e616a3605bcf84d9666439
Author: Thanakrit Chomphuming <jernghan@gmail.com>
Date:   Sun Jan 27 21:03:41 2013 +0100

    l10n: Thai update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit a4105818d0053bb458aa55c171018fe41a707fc3
Author: Miguel Sousa <migueljorgesousa@sapo.pt>
Date:   Sun Jan 27 20:56:53 2013 +0100

    l10n: Portuguese (Portugal) update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit a7347928c3bd46fd29a75beca0545bfeb3c2e2f7
Author: Fumio Nakayama <fumio.n6a@gmail.com>
Date:   Sun Jan 27 20:11:09 2013 +0100

    l10n: Japanese update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 309b225a9d3737edadef4d78cdb397dfa6db60a3
Author: Vincenzo Reale <smart2128@baslug.org>
Date:   Sun Jan 27 20:09:58 2013 +0100

    l10n: Italian update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 734b1b5b73a6a7aad99331b08918f328badbc047
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Sun Jan 27 19:52:22 2013 +0100

    l10n: Hebrew update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 986b12b4ac008005f9d69733504bbffe83d3840f
Author: Hardik Kishorpuri Goswami <geniushkg@gmail.com>
Date:   Sun Jan 27 19:51:05 2013 +0100

    l10n: Initial Gujarati (India) translation
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 96782851ebca4e9555bc8d6620177c101ed947a9
Author: Ivar Smolin <okul@linux.ee>
Date:   Sun Jan 27 19:32:11 2013 +0100

    l10n: Estonian update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit efff532557b9416c9974c3d84d0491c42098b044
Author: David González <pico.dev@gmail.com>
Date:   Sun Jan 27 11:08:18 2013 +0100

    l10n: Spanish update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit aaed4b079b4adf6f661e8572058364a1bc198d7e
Author: Tomáš Chvátal <tomas.chvatal@gmail.com>
Date:   Sun Jan 27 11:02:32 2013 +0100

    l10n: Czech update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit c342d15538a16159df0f4abdbff5e495e4c30c92
Author: Pau Iranzo <paugnu@gmail.com>
Date:   Sun Jan 27 10:58:34 2013 +0100

    l10n: Catalan update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 52d94ebab5cf56c52e0ac00d898501e8ce636ab5
Author: Adnan Memija <sream_92@live.com>
Date:   Sun Jan 27 10:55:08 2013 +0100

    l10n: Bosnian update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 35042e32a56471b5b88ec8729be745d330602381
Author: Iñigo Varela <ivarela@softastur.org>
Date:   Sun Jan 27 10:45:33 2013 +0100

    l10n: Asturian update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit b4088da3485b622b19351966df1297108f8b57de
Author: Chesús Daniel Trigo <xuxinho7@gmail.com>
Date:   Sun Jan 27 10:28:20 2013 +0100

    l10n: Initial Aragonese translation
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 3c835b43d338a6f907663c25daf1f1c7f07e3a65
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Jan 26 21:26:15 2013 +0200

    v4l2: fail on unknowm/unitialized format (fixes #8086)
    
    This bug is already fixed differently in the main line.

commit ecd6e2e9e8e39243325d1d48c9e1807eadb2b74a
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sat Jan 26 16:50:21 2013 +0100

    extras: spelling fixes for the Danish, Dutch and German win32 installer translations
    
    Please keep in mind that that the media player in the VLC media player brand is always written in lower case.
    
    Additionally, this change includes minor wording improvements for the German translation.

commit d2bd8e961efa85a5365a6d9cbbd7679c8e084d59
Author: Rafaël Carré <funman@videolan.org>
Date:   Sat Jan 26 16:25:49 2013 +0100

    Fix #6449
    
    A relative jump of +1 is the same than 0, we need +2 to skip the next
    instruction.
    Use named label so it is more clear than +2.
    
    Read the InstallDir regkey, "" points to vlc.exe
    (cherry picked from commit b0c000c5883225d0edb4f268d967c77d07254dce)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 1091da8e1859bf4b32a2c20dc14e88556d39615a
Author: Tomáš Chvátal <tomas.chvatal@gmail.com>
Date:   Fri Jan 25 23:48:08 2013 +0100

    l10n: Czech update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 8b49a93d6405db17c3a451ff4f19570191bc61cc
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Jan 25 17:54:05 2013 +0200

    configure: reject lavc >= 54.22 because of planar audio

commit a30d8ae0f6fc56ab6196fdaf29c21ff16b228fe8
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Jan 25 17:43:38 2013 +0200

    configure: reject libavcodec >= 55
    
    That future version is expected to remove a number of already
    deprecated interfaces, such as CODEC_ID_* or the Snow codec.
    VLC still uses these interfaces as of today.
    (cherry picked from commit acf159fbabd1ffb7d2368f1224d5e4d732e7f304)
    
    Conflicts:
    	configure.ac

commit 31c1c4d4efb29c748488b44f9a9379a1d06e67ee
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Jan 25 16:24:20 2013 +0100

    Qt: correctly clear the info panel cover Art
    
    Manual cherry-pick of 2ea0e546475dac1dd9032a06937966ed3d115ca9

commit c9774505e10b96d9f32756013b8318397471d1a3
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sun Aug 12 20:00:52 2012 +0200

    Qt: MetaPanel: missing clear
    (cherry picked from commit a49c94e306c0f05d5bdc74e6e6d24b69ef8d81fa)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 8c814ce1712d6bddf16cea7fd8513641bef86dce
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Fri Dec 28 12:53:30 2012 +0200

    avcodec: fix codec mapping array size check
    (cherry picked from commit 99ab06c7ffe189e81118f6122b1661c6c7af033c)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit b0c0b8948e90bff73a43bb5256ed28c5d7ae7e0e
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 22 00:30:25 2012 +0200

    avcodec: simplify audio sample format mapping
    (cherry picked from commit 4fef4b6d00b9297ccfb3d533405dc6c3ab8c0ca7)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 45469ad400edffce72f408cbcc5e2683efa21698
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Jan 22 20:24:08 2013 +0200

    FLAC: fix 7 channels layout
    
    See http://flac.sourceforge.net/format.html
    (cherry picked from commit 6821ffc8efb5e843f677ae2fdae77de0a1743294)
    
    Conflicts:
    	modules/codec/flac.c

commit e93617ff5b1af07d9505d2cd96d9d8a8606fe3a9
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Jan 22 18:35:36 2013 +0200

    Revert "DBus: remove from list of "control" interfaces"
    
    This reverts commit be1bcb349e3c7d399590b5c267fb2b42f31bad24.
    This depends on unbackported changes.

commit bbd4d27421dd8eff1cecc8d6cf6715d3b14e6d8e
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Jan 22 10:51:15 2013 +0100

    Fix an issue in Spanish translation

commit e967b401ae91a8dd614e4d7023f965d647ca4c34
Author: Timo Rothenpieler <timo@rothenpieler.org>
Date:   Tue Jan 22 02:46:43 2013 +0100

    vaapi: Use vaDeriveImage instead of vaGetImage if available
    
    Signed-off-by: Rafaël Carré <funman@videolan.org>

commit 7e51f2798b6f60a9dfa0f83722af55c23158feda
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Jan 22 02:41:10 2013 +0100

    Mention security advisory

commit 5a4e3d722d179af44f25a2f763749039cfc6fe59
Author: Edward Wang <edward.c.wang@compdigitec.com>
Date:   Mon Jan 21 18:29:55 2013 -0500

    include: typo and date fix
    
    Signed-off-by: Rafaël Carré <funman@videolan.org>
    (cherry picked from commit ecfe16669a5df27ad031e51af39d5d6f745d4fd0)
    
    Signed-off-by: Rafaël Carré <funman@videolan.org>

commit 02a00205470c35a1a5ae41c2bfed25d55ac117ec
Author: Christophe Mutricy <xtophe@chewa.net>
Date:   Mon Jan 21 23:23:13 2013 +0000

    2013 Release Key
    
    pub   1024D/E58D1ADC 2013-01-21 [expires: 2014-02-03]
          Key fingerprint = 65F7 C6B4 206B D057 A7EB  7378 7180 713B E58D 1ADC
    uid                  VideoLAN Release Signing Key (2013)
    (cherry picked from commit 0912461365497ab2ef6f80f0949c97b76000588e)
    
    Signed-off-by: Rafaël Carré <funman@videolan.org>

commit 3498675f0d6fd6d133d290a3987f0798df2eaa02
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Sep 10 14:57:05 2012 +0200

    Public keys should be constant data
    (cherry picked from commit ecb0421854e16ddb7a32d716a3565440378c5672)
    
    Signed-off-by: Rafaël Carré <funman@videolan.org>

commit 7ce065dd2c3817bf278d5044c1c810939a1e6789
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Jan 21 22:08:39 2013 +0100

    vout_macosx: protect vout_display_SendEvent calls to prevent potential crashes
    (cherry picked from commit 0a86a76fec01fe495ace7894c4ecb6be32b4fef7)
    
    Conflicts:
    	modules/video_output/macosx.m

commit a520ae9e14137879ea9de7bcd38013eb63ce7b01
Author: Nickolai Zeldovich <nickolai@csail.mit.edu>
Date:   Wed Jan 16 20:03:20 2013 -0500

    modules/services_discovery/sap.c: avoid out-of-bounds write
    
    After OpenDemux reads data using stream_Read(), it writes a '\0' to
    the buffer after the newly-read data, but if the stream returned exactly
    i_read_max bytes, this '\0' will end up just past the end of the allocated
    psz_sdp array (see the call to realloc at the beginning of the loop).
    Adjust the realloc call to allocate this one extra byte.
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>
    (cherry picked from commit dee928705dd32839317dca0e77089b02dd720763)

commit 2973e24ac2151882291786e479b358a1d4ed366b
Author: Rafaël Carré <funman@videolan.org>
Date:   Thu Jan 17 14:30:23 2013 +0100

    NEWS: mention #8024 bug

commit 330ba2296cd6841d0e8f0be40ef84966d5540fd3
Author: Rafaël Carré <funman@videolan.org>
Date:   Thu Jan 17 12:47:45 2013 +0100

    asf demux: fix #8024
    
    Replace macro with static inline and use bounds checking
    (cherry picked from commit b31ce523331aa3a6e620b68cdfe3f161d519631e)
    
    Signed-off-by: Rafaël Carré <funman@videolan.org>

commit b5b2dd3cf8a287cf99a22a0c1aa70c4c0e632a16
Author: Rafaël Carré <funman@videolan.org>
Date:   Wed Apr 25 12:25:09 2012 -0400

    Install vlc_keys.h
    
    vlc_vout_display.h is installed and depends on it
    (cherry picked from commit 3649531c52025d4b564d53ee6914305670cf11c1)
    
    Signed-off-by: Rafaël Carré <funman@videolan.org>

commit aff79ff417cd7d65b5c8fe39aa262e8d5e7e5855
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Jan 15 07:25:04 2013 +0100

    contrib: ffmpeg: account for libvpx decoders name change
    
    'libvpx' decoder doesn't exist anymore but we continue to disable it anyway
    for people building and older version

commit d3685de9011e0484a0e6f11266ae0f0378aad5e6
Author: Brad Smith <brad@comstyle.com>
Date:   Mon Jan 14 14:44:59 2013 +0100

    Fix building with Clang/LLVM
    
    The following diff provides some fixes for VLC to allow building
    with LLVM.
    
    Signed-off-by: Rafaël Carré <funman@videolan.org>

commit 08277ca271ad5682fe39d93e657c73c7448e20d7
Author: Isamu Arimoto <isamu.a@gmail.com>
Date:   Fri Jan 11 23:44:18 2013 +0200

    ram: fixed typo
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>
    (cherry picked from commit bd788b65fc2d12ace47154874fedd431dc9a9a4c)

commit 2eada7f9901648e05ce6ed432fcc988d40e7da6f
Author: Denis Charmet <typx@dinauz.org>
Date:   Fri Jan 11 00:53:56 2013 +0100

    Avoid inifite loops and stack explosion when parsing broken files and ignore lvl 1 unknown elements.
    
    Fix #8013
    (cherry picked from commit 127c9329ac47fbbf5ff6509b6c8f8c338cba17d9)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 7e5551446bbcccc61c880be5422fc3973bea8024
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Jan 4 12:55:05 2013 +0100

    Update NEWS

commit 67b896c381209266ed7afc978aef8b20135ed557
Author: Josh Watzman <jwatzman@jwatzman.org>
Date:   Sat Jan 5 23:27:18 2013 -0800

    macosx: Don't re-center extensions on every dialog update
    
    If the user has moved the extension dialog, we don't want to re-center it on every single update -- many extensions update their dialogs on every input change, and this behavior can cause the extension dialog to keep re-overlapping with the video, which is very frustrating.
    
    Signed-off-by: Felix Paul Kühne <fkuehne@videolan.org>
    (cherry picked from commit ad765c21ffe71fe27b3b6a03ebaa878408ba40ee)
    
    Conflicts:
    	modules/gui/macosx/ExtensionsDialogProvider.m

commit 3c59237f472d92a8c3f6b650bbc177d62fd0c450
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Sep 10 23:16:05 2012 +0200

    dxva2: include needed headers
    
    For mingw.org, we ship a single dxva2api.h which contains stuff
    normally present in dxva.h, so skip dxva.h.
    (cherry picked from commit 9aa30ff3ed7abf56fda84b84a90e6644e09fe70c)
    
    Signed-off-by: Rafaël Carré <funman@videolan.org>

commit 00ef2665653d143fa9ff85487c2848aadba155e5
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Jan 4 12:52:44 2013 +0100

    Win32: kill warnings about stat and fstat

commit dcb8812635384ddeb718239835e2bb0411415498
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Thu Jan 3 23:23:33 2013 +0100

    macosx: audio effects: fix range of some sliders for the spatializer filter
    
    Choosing negative values for some of these settings is NOT a good idea if you
    want to avoid damaging your ears ;-)
    (cherry picked from commit 946e03caf4535916b02886af56d130f8ad586320)
    
    Conflicts:
    	extras/package/macosx/Resources/English.lproj/AudioEffects.xib

commit 55bf8986ddba8312a0d207465c232ea5cf60445a
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Jan 3 16:54:11 2013 +0100

    Tools: Fix autoconf build
    (cherry picked from commit 9e65390927a274ecd293e34997d41a87d3bcbcec)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 80b33e2d6a2c6eb820991fc41a67f600e5f92a5a
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Oct 9 14:20:46 2012 +0200

    extras/tools: update autoconf and automake to the latest versions
    (cherry picked from commit a4f46a9cd6d5e46d37c6a28ac5a352e07d3eda5d)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 7af05c13292062a621f89829e12532e1c15a4f9f
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Jan 1 12:06:16 2013 +0200

    configure: replace obsolete AM_CONFIG_HEADERS (fixes #7975)
    
    (cherry picked from commit 6b2595e68890e5db1b7334098b6f722e2f41a6d8)
    
    Conflicts:
    	configure.ac

commit ef224c9590a539baec4060c20156cff8a9273976
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Wed Jan 2 11:22:56 2013 +0100

    NEWS: better wording

commit bdcd21bd61552920b8e012247db8f87261777251
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Wed Jan 2 10:52:31 2013 +0100

    macosx: video effects panel: add missing vlc_object_release
    (cherry picked from commit bec9b75ce8156585bf57642798f3f09d83d189d9)
    
    Conflicts:
    	modules/gui/macosx/VideoEffects.m

commit d40f619141aef4e79fc0fd2ce3e0ce4e4f28701a
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Wed Jan 2 00:49:01 2013 +0100

    macosx: do not send left and right arrow key to controls
    
    The left and right arrow keys have not any real advantage / functionality for
    the playlist view or sidebar but are used by default for several hotkeys.
    So lets allow these as VLC hotkeys (also for audio files).
    (cherry picked from commit fc33caea8f87af71454f4aacc0be91c247f21889)
    
    Signed-off-by: David Fuhrmann <david.fuhrmann@googlemail.com>
